Bug 1888248 (CVE-2020-15157) - CVE-2020-15157 containerd: credentials leak during image pull
Summary: CVE-2020-15157 containerd: credentials leak during image pull
Keywords:
Status: NEW
Alias: CVE-2020-15157
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1890519 1890518 1890520 1890620
Blocks: 1888277
TreeView+ depends on / blocked
 
Reported: 2020-10-14 13:29 UTC by msiddiqu
Modified: 2020-10-23 06:15 UTC (History)
34 users (show)

Fixed In Version: containerd 1.2.14, containerd 1.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description msiddiqu 2020-10-14 13:29:55 UTC
containerd v1.2.x can be coerced into leaking credentials during image
pull

Comment 4 Przemyslaw Roguski 2020-10-22 08:25:51 UTC
Upstream commit with fix:
https://github.com/containerd/containerd/commit/1ead8d9deb3b175bf40413b8c47b3d19c2262726

Comment 5 Przemyslaw Roguski 2020-10-22 12:18:56 UTC
Statement:

In OpenShift Container Platform (OCP) the ose-cluster-autoscaler container ships vulnerable version of the containerd package, but only containerd api is used by the container. The vulnerable code is not delivered, hence marked as wontfix.

Comment 7 msiddiqu 2020-10-22 15:39:05 UTC
Created containerd tracking bugs for this issue:

Affects: epel-7 [bug 1890620]

Comment 8 msiddiqu 2020-10-22 16:06:38 UTC
Acknowledgments:

Name: The containerd project
Upstream: Brad Geesaman, Josh Larsen, Ian Coldwater, Duffie Cooley, Rory McCune


Note You need to log in before you can comment on or make changes to this bug.